## agda 2.6.2.2

=== debian/changelog ===
agda (2.6.2.2-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * add patch to remove internal agda-mode dependencies (Closes: #1017415)

 -- Marcel Fourné <debian@marcelfourne.de>  Tue, 06 Dec 2022 16:57:40 +0100

agda (2.6.2.2-1) unstable; urgency=medium

  * New upstream release (Closes: #1003318)
  * Declare compliance with Debian policy 4.6.1
  * Install missing files (Closes: #1008809, #992448)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 06 Aug 2022 16:14:08 +0300
