## agda 2.6.3

=== debian/changelog ===
agda (2.6.3-2) unstable; urgency=medium

  * Rebuild against dh-elpa >=2.1.5 (Closes: #1077095)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 29 Aug 2024 15:28:02 +0300

agda (2.6.3-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 13 Oct 2023 17:57:46 +0300
