=== debian/control ===
--- 
+++ 
@@ -8,13 +8,16 @@
  cdbs,
  cpphs (>= 1.20.2),
  debhelper (>= 10),
- dh-elpa (>= 1.16),
- ghc (>= 8.4.3),
+ dh-elpa (>= 2.1.5),
+ ghc (>= 9.4),
  happy,
  haskell-devscripts (>= 0.13),
  ghc-prof,
+ libghc-stmonadtrans-dev (>= 0.4.3),
+ libghc-stmonadtrans-dev (<< 0.5),
+ libghc-stmonadtrans-prof,
  libghc-aeson-dev (>= 1.1.2.0),
- libghc-aeson-dev (<< 2.1),
+ libghc-aeson-dev (<< 2.3),
  libghc-aeson-prof,
  libghc-async-dev (>= 2.2),
  libghc-async-dev (<< 2.3),
@@ -28,7 +31,11 @@
  libghc-case-insensitive-prof,
  libghc-data-hash-dev (>= 0.2.0.0),
  libghc-data-hash-dev (<< 0.3),
- libghc-data-hash-dev (>= 0.2.0.0),
+ libghc-data-hash-prof,
+ libghc-dlist-dev (>= 0.8),
+ libghc-dlist-dev (<< 1.1),
+ libghc-dlist-prof,
+ libghc-edit-distance-dev (>= 0.2.1.2),
  libghc-edit-distance-dev (<< 0.3),
  libghc-equivalence-dev (>= 0.3.2),
  libghc-equivalence-dev (<< 0.5),
@@ -42,9 +49,6 @@
  libghc-hashable-dev (>= 1.2.1.0),
  libghc-hashable-dev (<< 1.5),
  libghc-hashable-prof,
- libghc-hashtables-dev (>= 1.2.0.2),
- libghc-hashtables-dev (<< 1.4),
- libghc-hashtables-prof,
  libghc-monad-control-dev (>= 1.0.1.0),
  libghc-monad-control-dev (<< 1.1),
  libghc-monad-control-prof,
@@ -58,43 +62,56 @@
  libghc-regex-tdfa-dev (<< 1.4),
  libghc-regex-tdfa-prof,
  libghc-split-dev (>= 0.2.0.0),
- libghc-split-dev (<< 0.2.4),
+ libghc-split-dev (<< 0.3),
  libghc-split-prof,
- libghc-strict-dev (>= 0.3.2),
- libghc-strict-dev (<< 0.5),
+ libghc-strict-dev (>= 0.4.0.1),
+ libghc-strict-dev (<< 0.6),
  libghc-strict-prof,
+ libghc-time-compat-dev (>= 1.9.2),
+ libghc-time-compat-dev (<< 1.10),
+ libghc-time-compat-prof,
  libghc-unordered-containers-dev (>= 0.2.5.0),
  libghc-unordered-containers-dev (<< 0.3),
  libghc-uri-encode-dev (>= 1.5.0.4),
  libghc-uri-encode-dev (<< 1.6),
  libghc-uri-encode-prof,
+ libghc-vector-dev (>= 0.12),
+ libghc-vector-dev (<< 0.14),
+ libghc-vector-prof,
+ libghc-vector-hashtables-dev (>= 0.1),
+ libghc-vector-hashtables-dev (<< 0.2),
+ libghc-vector-hashtables-prof,
  libghc-zlib-dev (>= 0.6),
  libghc-zlib-dev (<< 0.7),
  alex,
  happy,
 Build-Depends-Indep: ghc-doc,
+ libghc-stmonadtrans-doc,
  libghc-aeson-doc,
  libghc-async-doc,
  libghc-blaze-html-doc,
  libghc-boxes-doc,
  libghc-case-insensitive-doc,
  libghc-data-hash-doc,
+ libghc-dlist-doc,
  libghc-edit-distance-doc,
  libghc-equivalence-doc,
  libghc-exceptions-doc,
  libghc-gitrev-doc,
  libghc-hashable-doc,
- libghc-hashtables-doc,
  libghc-monad-control-doc,
  libghc-murmur-hash-doc,
  libghc-parallel-doc,
  libghc-regex-tdfa-doc,
  libghc-split-doc,
  libghc-strict-doc,
+ libghc-time-compat-doc,
  libghc-unordered-containers-doc,
  libghc-uri-encode-doc,
+ libghc-vector-doc,
+ libghc-vector-hashtables-doc,
  libghc-zlib-doc,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://wiki.portal.chalmers.se/agda/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/agda
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/agda]
