=== debian/control ===
--- 
+++ 
@@ -19,6 +19,9 @@
  libghc-aeson-dev (>= 1.1.2.0),
  libghc-aeson-dev (<< 2.3),
  libghc-aeson-prof,
+ libghc-ansi-terminal-dev (>= 0.9),
+ libghc-ansi-terminal-dev (<< 1.2),
+ libghc-ansi-terminal-prof,
  libghc-async-dev (>= 2.2),
  libghc-async-dev (<< 2.3),
  libghc-blaze-html-dev (>= 0.8),
@@ -44,7 +47,7 @@
  libghc-exceptions-dev (<< 0.11),
  libghc-exceptions-prof,
  libghc-gitrev-dev (>= 1.3.1),
- libghc-gitrev-dev (<< 2.0),
+ libghc-gitrev-dev (<< 2),
  libghc-gitrev-prof,
  libghc-hashable-dev (>= 1.2.1.0),
  libghc-hashable-dev (<< 1.5),
@@ -58,6 +61,9 @@
  libghc-parallel-dev (>= 3.2.2.0),
  libghc-parallel-dev (<< 3.3),
  libghc-parallel-prof,
+ libghc-peano-dev (>= 0.1.0.1),
+ libghc-peano-dev (<< 0.2),
+ libghc-peano-prof,
  libghc-regex-tdfa-dev (>= 1.3.1.0),
  libghc-regex-tdfa-dev (<< 1.4),
  libghc-regex-tdfa-prof,
@@ -70,7 +76,7 @@
  libghc-time-compat-dev (>= 1.9.2),
  libghc-time-compat-dev (<< 1.10),
  libghc-time-compat-prof,
- libghc-unordered-containers-dev (>= 0.2.5.0),
+ libghc-unordered-containers-dev (>= 0.2.9.0),
  libghc-unordered-containers-dev (<< 0.3),
  libghc-uri-encode-dev (>= 1.5.0.4),
  libghc-uri-encode-dev (<< 1.6),
@@ -78,16 +84,18 @@
  libghc-vector-dev (>= 0.12),
  libghc-vector-dev (<< 0.14),
  libghc-vector-prof,
- libghc-vector-hashtables-dev (>= 0.1),
+ libghc-vector-hashtables-dev (>= 0.1.1.1),
  libghc-vector-hashtables-dev (<< 0.2),
  libghc-vector-hashtables-prof,
  libghc-zlib-dev (>= 0.6),
- libghc-zlib-dev (<< 0.7),
+ libghc-zlib-dev (<< 0.8),
+ libghc-zlib-prof,
  alex,
  happy,
 Build-Depends-Indep: ghc-doc,
  libghc-stmonadtrans-doc,
  libghc-aeson-doc,
+ libghc-ansi-terminal-doc,
  libghc-async-doc,
  libghc-blaze-html-doc,
  libghc-boxes-doc,
@@ -102,6 +110,7 @@
  libghc-monad-control-doc,
  libghc-murmur-hash-doc,
  libghc-parallel-doc,
+ libghc-peano-doc,
  libghc-regex-tdfa-doc,
  libghc-split-doc,
  libghc-strict-doc,
@@ -111,7 +120,7 @@
  libghc-vector-doc,
  libghc-vector-hashtables-doc,
  libghc-zlib-doc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://wiki.portal.chalmers.se/agda/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/agda
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/agda]
