## agda 2.8.0

=== debian/changelog ===
agda (2.8.0-2) unstable; urgency=medium

  * Extend d/rules to compile and ship all '*.agda' files

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 15 Feb 2026 15:49:29 +0200

agda (2.8.0-1) unstable; urgency=medium

  [ Scott Talbert ]
  * Build using dh-haskell
  * New upstream release

  [ Xiyue Deng ]
  * Move agda dependencies from Depends to Suggests for elpa-agda2-mode
    (Closes: #1125220)
  * Add ${elpa:Depends} to Depends for elpa-agda2-mode
  * Drop ancient emacs versions in Recommends and Enhances

 -- Scott Talbert <swt@techie.net>  Tue, 10 Feb 2026 15:35:03 -0500
