=== debian/control ===
--- 
+++ 
@@ -5,89 +5,108 @@
 Rules-Requires-Root: no
 Build-Depends:
  alex,
- cdbs,
+ dh-sequence-haskell,
  cpphs (>= 1.20.2),
- debhelper (>= 10),
+ debhelper-compat (= 13),
  dh-elpa (>= 2.1.5),
  ghc (>= 9.4),
  happy,
  haskell-devscripts (>= 0.13),
  ghc-prof,
- libghc-stmonadtrans-dev (>= 0.4.3),
+ libghc-stmonadtrans-dev (>= 0.4.5),
  libghc-stmonadtrans-dev (<< 0.5),
  libghc-stmonadtrans-prof,
- libghc-aeson-dev (>= 1.1.2.0),
+ libghc-aeson-dev (>= 1.4.7.1),
  libghc-aeson-dev (<< 2.3),
  libghc-aeson-prof,
- libghc-ansi-terminal-dev (>= 0.9),
+ libghc-ansi-terminal-dev (>= 0.10.3),
  libghc-ansi-terminal-dev (<< 1.2),
  libghc-ansi-terminal-prof,
- libghc-async-dev (>= 2.2),
+ libghc-async-dev (>= 2.2.2),
  libghc-async-dev (<< 2.3),
- libghc-blaze-html-dev (>= 0.8),
+ libghc-async-prof,
+ libghc-blaze-html-dev (>= 0.9.1.2),
  libghc-blaze-html-dev (<< 0.10),
- libghc-boxes-dev (>= 0.1.3),
+ libghc-blaze-html-prof,
+ libghc-boxes-dev (>= 0.1.5),
  libghc-boxes-dev (<< 0.2),
  libghc-boxes-prof,
- libghc-case-insensitive-dev (>= 1.2.0.4),
+ libghc-case-insensitive-dev (>= 1.2.1.0),
  libghc-case-insensitive-dev (<< 1.3),
  libghc-case-insensitive-prof,
- libghc-data-hash-dev (>= 0.2.0.0),
+ libghc-data-hash-dev (>= 0.2.0.1),
  libghc-data-hash-dev (<< 0.3),
  libghc-data-hash-prof,
- libghc-dlist-dev (>= 0.8),
+ libghc-dlist-dev (>= 0.8.0.8),
  libghc-dlist-dev (<< 1.1),
  libghc-dlist-prof,
- libghc-edit-distance-dev (>= 0.2.1.2),
+ libghc-edit-distance-dev (>= 0.2.2.1),
  libghc-edit-distance-dev (<< 0.3),
- libghc-equivalence-dev (>= 0.3.2),
+ libghc-edit-distance-prof,
+ libghc-enummapset-dev (>= 0.6.0.3),
+ libghc-enummapset-dev (<< 0.8),
+ libghc-enummapset-prof,
+ libghc-equivalence-dev (>= 0.3.5),
  libghc-equivalence-dev (<< 0.5),
  libghc-equivalence-prof,
- libghc-exceptions-dev (>= 0.8),
- libghc-exceptions-dev (<< 0.11),
- libghc-exceptions-prof,
+ libghc-filelock-dev (>= 0.1.1.5),
+ libghc-filelock-dev (<< 0.2),
+ libghc-filelock-prof,
+ libghc-filemanip-dev (>= 0.3.6.3),
+ libghc-filemanip-dev (<< 0.4),
+ libghc-filemanip-prof,
+ libghc-generic-data-dev (>= 0.9.2.0),
+ libghc-generic-data-dev (<< 1.2),
+ libghc-generic-data-prof,
  libghc-gitrev-dev (>= 1.3.1),
  libghc-gitrev-dev (<< 2),
  libghc-gitrev-prof,
- libghc-hashable-dev (>= 1.2.1.0),
- libghc-hashable-dev (<< 1.5),
+ libghc-hashable-dev (>= 1.3.0.0),
+ libghc-hashable-dev (<< 1.6),
  libghc-hashable-prof,
- libghc-monad-control-dev (>= 1.0.1.0),
+ libghc-monad-control-dev (>= 1.0.2.3),
  libghc-monad-control-dev (<< 1.1),
  libghc-monad-control-prof,
- libghc-murmur-hash-dev (>= 0.1),
+ libghc-murmur-hash-dev (>= 0.1.0.9),
  libghc-murmur-hash-dev (<< 0.2),
  libghc-murmur-hash-prof,
+ libghc-nonempty-containers-dev (>= 0.3.4.1),
+ libghc-nonempty-containers-dev (<< 0.4),
+ libghc-nonempty-containers-prof,
  libghc-parallel-dev (>= 3.2.2.0),
  libghc-parallel-dev (<< 3.3),
  libghc-parallel-prof,
  libghc-peano-dev (>= 0.1.0.1),
  libghc-peano-dev (<< 0.2),
  libghc-peano-prof,
+ libghc-pqueue-dev (>= 1.4.1.3),
+ libghc-pqueue-dev (<< 1.6),
+ libghc-pqueue-prof,
+ libghc-process-extras-dev (>= 0.7.4),
+ libghc-process-extras-dev (<< 0.8),
+ libghc-process-extras-prof,
  libghc-regex-tdfa-dev (>= 1.3.1.0),
  libghc-regex-tdfa-dev (<< 1.4),
  libghc-regex-tdfa-prof,
- libghc-split-dev (>= 0.2.0.0),
+ libghc-split-dev (>= 0.2.3.4),
  libghc-split-dev (<< 0.3),
  libghc-split-prof,
  libghc-strict-dev (>= 0.4.0.1),
  libghc-strict-dev (<< 0.6),
  libghc-strict-prof,
- libghc-time-compat-dev (>= 1.9.2),
- libghc-time-compat-dev (<< 1.10),
- libghc-time-compat-prof,
- libghc-unordered-containers-dev (>= 0.2.9.0),
+ libghc-unordered-containers-dev (>= 0.2.10.0),
  libghc-unordered-containers-dev (<< 0.3),
- libghc-uri-encode-dev (>= 1.5.0.4),
+ libghc-unordered-containers-prof,
+ libghc-uri-encode-dev (>= 1.5.0.7),
  libghc-uri-encode-dev (<< 1.6),
  libghc-uri-encode-prof,
- libghc-vector-dev (>= 0.12),
+ libghc-vector-dev (>= 0.12.1.2),
  libghc-vector-dev (<< 0.14),
  libghc-vector-prof,
  libghc-vector-hashtables-dev (>= 0.1.1.1),
  libghc-vector-hashtables-dev (<< 0.2),
  libghc-vector-hashtables-prof,
- libghc-zlib-dev (>= 0.6),
+ libghc-zlib-dev (>= 0.6.2.2),
  libghc-zlib-dev (<< 0.8),
  libghc-zlib-prof,
  alex,
@@ -103,18 +122,23 @@
  libghc-data-hash-doc,
  libghc-dlist-doc,
  libghc-edit-distance-doc,
+ libghc-enummapset-doc,
  libghc-equivalence-doc,
- libghc-exceptions-doc,
+ libghc-filelock-doc,
+ libghc-filemanip-doc,
+ libghc-generic-data-doc,
  libghc-gitrev-doc,
  libghc-hashable-doc,
  libghc-monad-control-doc,
  libghc-murmur-hash-doc,
+ libghc-nonempty-containers-doc,
  libghc-parallel-doc,
  libghc-peano-doc,
+ libghc-pqueue-doc,
+ libghc-process-extras-doc,
  libghc-regex-tdfa-doc,
  libghc-split-doc,
  libghc-strict-doc,
- libghc-time-compat-doc,
  libghc-unordered-containers-doc,
  libghc-uri-encode-doc,
  libghc-vector-doc,
@@ -185,19 +209,20 @@
 Section: editors
 Architecture: all
 Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+ ${elpa:Depends},
+Built-Using: ${misc:Built-Using}
+Recommends:
+ emacs,
+Suggests:
  agda-bin (<< ${source:Version}.1~),
  agda-bin (>= ${source:Version}),
  libghc-agda-dev (<< ${source:Version}.1~),
  libghc-agda-dev (>= ${source:Version}),
  ${haskell:Depends},
- ${misc:Depends},
- ${shlibs:Depends},
-Built-Using: ${misc:Built-Using}
-Recommends:
- emacs (>= 46.0),
 Enhances:
  emacs,
- emacs24,
 Description: dependently typed functional programming language — emacs mode
  Agda is a dependently typed functional programming language: It has inductive
  families, which are like Haskell's GADTs, but they can be indexed by values and
