=== debian/rules ===
#!/usr/bin/make -f

export DEB_SETUP_GHC_CONFIGURE_ARGS := --datadir='/usr/share' --datasubdir='libghc-agda-dev'

# attempt to fix build on low-memory arm buildds
#export DEB_SETUP_GHC_CONFIGURE_ARGS += --ghc-options="-optc--param -optcggc-min-expand=10"

export LC_ALL=C.UTF-8

builtins = $(shell find $(CURDIR)/debian/tmp/usr/share/libghc-agda-dev/lib/ -name '*.agda')

execute_after_dh_auto_install-arch:
	$(foreach builtin,$(builtins),Agda_datadir=$(CURDIR)/debian/tmp/usr/share/libghc-agda-dev \
		debian/tmp/usr/bin/agda $(builtin) -v0;)

%:
	dh $@ --with elpa
